package me.yoqi.screenfilter.service;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

public class LocaleReceiver extends BroadcastReceiver {
	
	public void onReceive(Context paramContext, Intent paramIntent) {
		if (!"com.twofortyfouram.locale.intent.action.FIRE_SETTING".equals(paramIntent.getAction())) {
			return;
		}
		if (paramIntent.getBundleExtra("com.twofortyfouram.locale.intent.extra.BUNDLE") == null) {
			Log.e("LocaleReceiver", "Bundle extra was null");
			return;
		}
		paramIntent = paramIntent.getBundleExtra("com.twofortyfouram.locale.intent.extra.BUNDLE");
		int i = -1;
		boolean bool = true;
		if (paramIntent != null) {
			i = paramIntent.getInt("com.haxor.LocaleEdit.LOCALE_BRIGHTNESS", -1);
			if (i == -1) {
				Log.e("LocaleReceiver", "Locale forwarded bundle missing key com.haxor.LocaleEdit.LOCALE_BRIGHTNESS");
				return;
			}
			bool = paramIntent.getBoolean("com.haxor.LocaleEdit.LOCALE_SOFT_KEYS_ENABLED", true);
		}
		Log.i("LocaleReceiver", "Applying progress=" + i);
		paramIntent = new Intent(paramContext, ScreenFilterActivity.class);
		paramIntent.addFlags(268435456);
		paramIntent.putExtra("NEW_BRIGHTNESS", i);
		paramIntent.putExtra("SOFT_KEYS_ENABLED", bool);
		paramContext.startActivity(paramIntent);
	}
}
