package me.yoqi.screenfilter.ui;

import android.app.Activity;
import android.os.Bundle;
import android.content.Intent;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import me.yoqi.screenfilter.R;

import java.util.Formatter;

public class LocaleEditActivity extends Activity {
	public static final String LOCALE_BRIGHTNESS = "com.haxor.LocaleEdit.LOCALE_BRIGHTNESS";
	public static final String LOCALE_SOFT_KEYS_ENABLED = "com.haxor.LocaleEdit.LOCALE_SOFT_KEYS_ENABLED";
	private boolean saved;

	protected void onCreate(Bundle paramBundle) {
		super.onCreate(paramBundle);
		this.saved = false;
		setTitle(getIntent().getStringExtra("com.twofortyfouram.locale.intent.extra.BREADCRUMB") + " > Screen Filter");
		setContentView(R.layout.locale_edit);
		paramBundle = (BrightnessSelector) findViewById(R.id.PreferencesBrightnessSelector);
		Bundle localBundle = getIntent().getBundleExtra("com.twofortyfouram.locale.intent.extra.BUNDLE");
		if (localBundle != null) {
			int i = localBundle.getInt("com.haxor.LocaleEdit.LOCALE_BRIGHTNESS", -1);
			if (i != -1) {
				paramBundle.setProgress(i);
			}
			if (localBundle.containsKey("com.haxor.LocaleEdit.LOCALE_SOFT_KEYS_ENABLED")) {
				paramBundle.setSoftKeysEnabled(
						localBundle.getBoolean("com.haxor.LocaleEdit.LOCALE_SOFT_KEYS_ENABLED", true));
			}
		}
		((Button) findViewById(R.id.SaveSettingButton)).setOnClickListener(new View.OnClickListener() {
			public void onClick(View paramAnonymousView) {
				int i = paramBundle.getProgress();
				double d = ScreenFilterActivity.computePercentage(i);
				paramAnonymousView = new Formatter()
						.format(LocaleEditActivity.this.getString(2131165203), new Object[] { Double.valueOf(d) })
						.toString();
				if (paramBundle.isSoftKeysEnabled()) {
				}
				for (paramAnonymousView = paramAnonymousView + " "
						+ LocaleEditActivity.this.getString(2131165206);; paramAnonymousView = paramAnonymousView + " "
								+ LocaleEditActivity.this.getString(2131165207)) {
					Intent localIntent = new Intent();
					Bundle localBundle = new Bundle();
					localBundle.putInt("com.haxor.LocaleEdit.LOCALE_BRIGHTNESS", i);
					localBundle.putBoolean("com.haxor.LocaleEdit.LOCALE_SOFT_KEYS_ENABLED",
							paramBundle.isSoftKeysEnabled());
					localIntent.putExtra("com.twofortyfouram.locale.intent.extra.BUNDLE", localBundle);
					localIntent.putExtra("com.twofortyfouram.locale.intent.extra.BLURB", paramAnonymousView);
					Log.i("LocaleEdit", "Progress=" + i + ", blurb=" + paramAnonymousView);
					LocaleEditActivity.this.setResult(-1, localIntent);
					LocaleEditActivity.this.saved = true;
					LocaleEditActivity.this.finish();
					return;
				}
			}
		});
		((Button) findViewById(R.id.DontSaveSettingButton)).setOnClickListener(new View.OnClickListener() {
			public void onClick(View paramAnonymousView) {
				Log.i("LocaleEdit", "Edit canceled");
				LocaleEditActivity.this.finish();
			}
		});
	}

	protected void onPause() {
		super.onPause();
		if (!this.saved) {
			setResult(0);
		}
	}
}
