package me.yoqi.screenfilter.ui;

import android.app.Activity;
import android.appwidget.AppWidgetManager;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import me.yoqi.screenfilter.BrightnessSelector;
import me.yoqi.screenfilter.receiver.ScreenFilterWidget;

public class ScreenFilterWidgetConfigure
  extends Activity
{
  protected void onCreate(final Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    setResult(0);
    paramBundle = getIntent().getExtras();
    if (paramBundle == null)
    {
      Log.d("ScreenFilterWidgetConfigure", "Missing intent extras bundle");
      finish();
      return;
    }
    final int i = paramBundle.getInt("appWidgetId", 0);
    if (i == 0)
    {
      Log.d("ScreenFilterWidgetConfigure", "Bad widget Id: " + i);
      finish();
      return;
    }
    setContentView(2130903041);
    paramBundle = getSharedPreferences("preferences", 0);
    String str1 = "NEW_BRIGHTNESS:" + i;
    String str2 = "SOFT_KEYS_ENABLED:" + i;
    final BrightnessSelector localBrightnessSelector = (BrightnessSelector)findViewById(2131034123);
    int j = paramBundle.getInt(str1, -1);
    if (j != -1) {
      localBrightnessSelector.setProgress(j);
    }
    localBrightnessSelector.setSoftKeysEnabled(paramBundle.getBoolean(str2, true));
    ((Button)findViewById(2131034125)).setOnClickListener(new View.OnClickListener()
    {
      public void onClick(View paramAnonymousView)
      {
				paramAnonymousView = new Intent();
        paramAnonymousView.putExtra("appWidgetId", i);
        ScreenFilterWidgetConfigure.this.setResult(-1, paramAnonymousView);
        int i = localBrightnessSelector.getProgress();
        boolean bool = localBrightnessSelector.isSoftKeysEnabled();
        Log.d("ScreenFilterWidgetConfigure", "Widget config saved. WidgetId=" + i + ", progress=" + i + ", softKeys=" + bool);
        paramBundle.edit().putInt("NEW_BRIGHTNESS:" + i, i).putBoolean("SOFT_KEYS_ENABLED:" + i, bool).commit();
        ScreenFilterWidget.updateWidget(ScreenFilterWidgetConfigure.this, AppWidgetManager.getInstance(ScreenFilterWidgetConfigure.this), i);
        ScreenFilterWidgetConfigure.this.finish();
      }
    });
    ((Button)findViewById(2131034124)).setOnClickListener(new View.OnClickListener()
    {
      public void onClick(View paramAnonymousView)
      {
        Log.d("ScreenFilterWidgetConfigure", "Widet config canceled. WidgetId=" + i);
        ScreenFilterWidgetConfigure.this.finish();
      }
    });
  }
}
