package me.yoqi.screenfilter.ui;

import android.app.Activity;
import android.os.Bundle;
import me.yoqi.screenfilter.BrightnessSelector;
import me.yoqi.screenfilter.R;
import me.yoqi.screenfilter.R.layout;
import me.yoqi.screenfilter.ScreenFilterActivity;
import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class SettingsActivity extends Activity {
	private SharedPreferences prefs;
	private BrightnessSelector selector;

	protected void onCreate(Bundle paramBundle) {
		super.onCreate(paramBundle);
		Log.d("Preferences", "onCreate");
		onNewIntent(getIntent());
	}

	public void onNewIntent(Intent paramIntent) {
		Log.d("Preferences", "onNewIntent");
		this.prefs = getSharedPreferences("preferences", 0);
		ScreenFilterActivity.hideFilter(this, false);
		setContentView(2130903043);
		((Button) findViewById(2131034126)).setOnClickListener(new ReenableListener(null));
		int i = ScreenFilterActivity.getBrightness(this);
		this.selector = ((BrightnessSelector) findViewById(2131034123));
		this.selector.setProgress(i);
		this.selector.setSoftKeysEnabled(this.prefs.getBoolean("SOFT_KEYS_ENABLED", true));
	}

	protected void onPause() {
		super.onPause();
		Log.d("Preferences", "onPause");
		this.prefs.edit().putInt("NEW_BRIGHTNESS", this.selector.getProgress())
				.putBoolean("SOFT_KEYS_ENABLED", this.selector.isSoftKeysEnabled()).remove("TOO_LOW_CONFIRMED")
				.commit();
		finish();
	}

	private class ReenableListener implements View.OnClickListener {
		private ReenableListener() {
		}

		public void onClick(View paramView) {
			SettingsActivity.this.startActivity(new Intent(SettingsActivity.this, ScreenFilterActivity.class));
			SettingsActivity.this.finish();
		}
	}
}
