package me.yoqi.screenfilter;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.graphics.Color;
import android.text.Editable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.SeekBar.OnSeekBarChangeListener;
import android.widget.TextView;
import java.util.Locale;

/**
 * 
 * @author liuyuqi
 *
 */
public class BrightnessSelector extends RelativeLayout {
	private SeekBar brightnessAdjust;
	private CheckBox softKeysEnabled;

	public BrightnessSelector(Context context, AttributeSet attrs2) {
		super(context, attrs2);
		View attrs = ((LayoutInflater) context.getSystemService("layout_inflater"))
				.inflate(R.layout.brightness_selector, null);
		this.brightnessAdjust = ((SeekBar) attrs.findViewById(R.id.BrightnessSeekBar));
		this.brightnessAdjust.setOnSeekBarChangeListener(new ProgressChangedHandler());
		this.softKeysEnabled = ((CheckBox) attrs.findViewById(R.id.SoftKeysEnabled));
		((Button) attrs.findViewById(R.id.BrightnessEdit)).setOnClickListener(new View.OnClickListener() {
			public void onClick(View paramAnonymousView) {
				paramAnonymousView = new EditText(context);
				paramAnonymousView.setInputType(3);
				new AlertDialog.Builder(context).setTitle(context.getString(2131165211))
						.setMessage(context.getString(2131165212)).setView(paramAnonymousView)
						.setPositiveButton("Ok", new DialogInterface.OnClickListener() {
							public void onClick(DialogInterface paramAnonymous2DialogInterface,
									int paramAnonymous2Int) {
								str = paramAnonymousView.getText().toString();
								paramAnonymous2Int = -1;
								try {
									int i = Integer.parseInt(str);
									paramAnonymous2Int = i;
								} catch (NumberFormatException localNumberFormatException) {
									for (;;) {
										Log.e("BrightnessSelector", "Bad user input: " + str);
										continue;
										Log.e("BrightnessSelector", "User input out of range: " + str);
									}
								}
								if ((paramAnonymous2Int >= 0) && (paramAnonymous2Int <= 100)) {
									BrightnessSelector.this.setProgress(ScreenFilterActivity
											.invertAlpha((int) Math.round(paramAnonymous2Int * 255.0D / 100.0D)));
									paramAnonymous2DialogInterface.dismiss();
									return;
								}
							}
						}).setNegativeButton("Cancel", new DialogInterface.OnClickListener() {
							public void onClick(DialogInterface paramAnonymous2DialogInterface,
									int paramAnonymous2Int) {
								paramAnonymous2DialogInterface.dismiss();
							}
						}).create().show();
			}
		});
		addView(attrs);
		setProgress(82);
	}

	private void setExampleBrightness(int paramInt) {
		((TextView) findViewById(2131034121)).setTextColor(
				Color.argb((int) Math.round(ScreenFilterActivity.computeAlpha(paramInt) * 255.0D), 255, 255, 255));
		TextView localTextView = (TextView) findViewById(2131034120);
		String str = String.format(Locale.US, "%.1f%%",
				new Object[] { Double.valueOf(ScreenFilterActivity.computePercentage(paramInt)) }).toString();
		if (paramInt == 100) {
			str = "100%";
		}
		localTextView.setText(str);
	}

	public int getProgress() {
		return this.brightnessAdjust.getProgress();
	}

	public boolean isSoftKeysEnabled() {
		return this.softKeysEnabled.isChecked();
	}

	public void setProgress(int paramInt) {
		this.brightnessAdjust.setProgress(paramInt);
		setExampleBrightness(paramInt);
	}

	public void setSoftKeysEnabled(boolean flag) {
		this.softKeysEnabled.setChecked(flag);
	}

	/**
	 * 进度条监听事件
	 * 
	 * @author liuyuqi
	 *
	 */
	private class ProgressChangedHandler implements SeekBar.OnSeekBarChangeListener {
		private ProgressChangedHandler() {
		}

		public void onProgressChanged(SeekBar paramSeekBar, int paramInt, boolean paramBoolean) {
			BrightnessSelector.this.setExampleBrightness(paramInt);
		}

		public void onStartTrackingTouch(SeekBar paramSeekBar) {
		}

		public void onStopTrackingTouch(SeekBar paramSeekBar) {
		}
	}
}
