package me.yoqi.screenfilter.receiver;

import android.app.PendingIntent;
import android.appwidget.AppWidgetManager;
import android.appwidget.AppWidgetProvider;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.util.Log;
import android.widget.RemoteViews;
import me.yoqi.screenfilter.ScreenFilterActivity;

import java.util.Locale;

public class ScreenFilterWidget extends AppWidgetProvider {
	public static void updateWidget(Context paramContext, AppWidgetManager paramAppWidgetManager, int paramInt) {
		Object localObject1 = paramContext.getSharedPreferences("preferences", 0);
		Object localObject2 = "NEW_BRIGHTNESS:" + paramInt;
		String str = "SOFT_KEYS_ENABLED:" + paramInt;
		int i = ((SharedPreferences) localObject1).getInt((String) localObject2, -1);
		boolean bool = ((SharedPreferences) localObject1).getBoolean(str, true);
		if (i == -1) {
			Log.e("ScreenFilterWidget", "Could not find preferences for widgetId=" + paramInt);
			return;
		}
		localObject1 = new Intent(paramContext, ScreenFilterActivity.class);
		if (!ScreenFilterActivity.isEnabled()) {
			Log.d("ScreenFilterWidget",
					"Updating display for widgetId=" + paramInt + ", progress=" + i + ", softKeys=" + bool);
			((Intent) localObject1).setAction("Activate:" + paramInt);
			((Intent) localObject1).putExtra("NEW_BRIGHTNESS", i);
			((Intent) localObject1).putExtra("SOFT_KEYS_ENABLED", bool);
		}
		for (;;) {
			localObject1 = PendingIntent.getActivity(paramContext, 0, (Intent) localObject1, 134217728);
			double d = ScreenFilter.computePercentage(i);
			localObject2 = new RemoteViews(paramContext.getPackageName(), 2130903044);
			((RemoteViews) localObject2).setTextViewText(2131034128,
					String.format(Locale.US, paramContext.getString(2131165209), new Object[] { Double.valueOf(d) })
							.toString());
			((RemoteViews) localObject2).setOnClickPendingIntent(2131034127, (PendingIntent) localObject1);
			paramAppWidgetManager.updateAppWidget(paramInt, (RemoteViews) localObject2);
			return;
			Log.d("ScreenFilterWidget", "Toggling widget to disable mode widgetId=" + paramInt);
			((Intent) localObject1).setAction("Deactivate:" + paramInt);
			((Intent) localObject1).putExtra("NEW_BRIGHTNESS", 100);
			((Intent) localObject1).putExtra("SOFT_KEYS_ENABLED", true);
		}
	}

	public void onDeleted(Context paramContext, int[] paramArrayOfInt) {
		int i = 0;
		super.onDeleted(paramContext, paramArrayOfInt);
		paramContext = paramContext.getSharedPreferences("preferences", 0);
		int j = paramArrayOfInt.length;
		for (;;) {
			if (i >= j) {
				return;
			}
			int k = paramArrayOfInt[i];
			String str1 = "NEW_BRIGHTNESS:" + k;
			String str2 = "SOFT_KEYS_ENABLED:" + k;
			Log.d("ScreenFilterWidget", "Removing preferences for widgetId=" + k);
			paramContext.edit().remove(str1).remove(str2).commit();
			i += 1;
		}
	}

	public void onReceive(Context paramContext, Intent paramIntent) {
		int i = 0;
		if (paramIntent.getAction().equals("com.haxor.ScreenFilter.ACTION_FILTER_TOGGLED")) {
			boolean bool = paramIntent.getBooleanExtra("com.haxor.ScreenFilter.ACTION_FILTER_TOGGLED_EXTRA", false);
			Log.d("ScreenFilterWidget", "Filter toggle received, enabling=" + bool);
			paramIntent = AppWidgetManager.getInstance(paramContext);
			int[] arrayOfInt = paramIntent.getAppWidgetIds(new ComponentName(paramContext, ScreenFilterWidget.class));
			int j = arrayOfInt.length;
			for (;;) {
				if (i >= j) {
					return;
				}
				updateWidget(paramContext, paramIntent, arrayOfInt[i]);
				i += 1;
			}
		}
		super.onReceive(paramContext, paramIntent);
	}

	public void onUpdate(Context paramContext, AppWidgetManager paramAppWidgetManager, int[] paramArrayOfInt) {
		super.onUpdate(paramContext, paramAppWidgetManager, paramArrayOfInt);
		int j = paramArrayOfInt.length;
		int i = 0;
		for (;;) {
			if (i >= j) {
				return;
			}
			updateWidget(paramContext, paramAppWidgetManager, paramArrayOfInt[i]);
			i += 1;
		}
	}
}
